Package org.eclipse.rdf4j.spring.util

## Class RepositoryConnectionWrappingUtils

- java.lang.Object
- - org.eclipse.rdf4j.spring.util.RepositoryConnectionWrappingUtils

-     public class RepositoryConnectionWrappingUtils
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryConnectionWrappingUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RepositoryConnection` | `findRoot​(RepositoryConnection con)` |
    `static <T> Optional<T>` | `findWrapper​(RepositoryConnection con, Class<T> wrapperClass)` |
    `static <T> boolean` | `isWrapped​(RepositoryConnection con, Class<T> wrapperClass)` |
    `static <T> RepositoryConnection` | `wrapOnce​(RepositoryConnection con, Function<RepositoryConnection,​RepositoryConnection> wrapper, Class<T> wrapperClass)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConnectionWrappingUtils

          public RepositoryConnectionWrappingUtils()

  - ### Method Detail

    - #### wrapOnce

          public static <T> RepositoryConnection wrapOnce​(RepositoryConnection con,
                                                          Function<RepositoryConnection,​RepositoryConnection> wrapper,
                                                          Class<T> wrapperClass)

    - #### isWrapped

          public static <T> boolean isWrapped​(RepositoryConnection con,
                                              Class<T> wrapperClass)

    - #### findWrapper

          public static <T> Optional<T> findWrapper​(RepositoryConnection con,
                                                    Class<T> wrapperClass)

    - #### findRoot

          public static RepositoryConnection findRoot​(RepositoryConnection con)